Scriptname Bo57:Bo57_CuffedHandsEffectScript extends activemagiceffect

Group CommonFunctions
    Bo57:Bo57_MCMandToolsScript   Property Tools          Auto Const
endGroup

Group PowerArmorRelated
    Keyword           Property FurnitureTypePowerArmor    Auto Const
    Ammo              Property AmmoFusionCore             Auto Const
endGroup



Actor akActor

;---------------------------------------------------------------
;
;---------------------------------------------------------------

Event OnEffectStart(Actor akTarget, Actor akCaster)
    akActor = akTarget
endEvent

;---------------------------------------------------------------
;
;---------------------------------------------------------------

Event OnItemEquipped (Form akBaseObject, ObjectReference akReference)

    Armor kAttire = akBaseObject as Armor

    if Tools.isValidItem ( kAttire )
        Debug.Notification ("Not possible while bound this way")
        akActor.unequipitem ( kAttire )
    endif

endEvent

; Force Exit Power Armor
Event OnSit(ObjectReference akFurniture)
    if akFurniture.HasKeyword(FurnitureTypePowerArmor) && akFurniture.GetItemCount(AmmoFusionCore)
        Debug.Notification ("Not possible while bound this way")
        akActor.SwitchToPowerArmor(none)
    endIf
endEvent