Scriptname Bo57:Bo57_CursedLootControllerScr extends Quest

bool   Property bOpt_CursedLootquest_Activ         Auto hidden
bool   Property bOpt_CursedLoot_NotActiv = True    Auto hidden        ; Because of MCM
bool   Property bOptMCM_NotRestrained = True       Auto hidden
bool   Property bOptMCM_Restrained                 Auto hidden        ; Shitty MCM "NOT Condition isn't supported"

;---------------------------------------------------------------
; This is the questscript to handle MCM options and the cursed loot
;---------------------------------------------------------------

Function MCM_StartStopQuest ()

   quest CLQ = self as Quest;
   
   if CLQ.isrunning ()
      CLQ.stop ()

   else
      bool b_restrained = bOptMCM_Restrained
      CLQ.start ()                              ; reset quest variables

      bOptMCM_Restrained    = b_restrained      ; restore previous values
      bOptMCM_NotRestrained = !b_restrained
   endif
   
   Utility.WaitMenumode (0.5)
   MCM.RefreshMenu()
   
EndFunction

;---------------------------------------------------------------
; only for Display required
;---------------------------------------------------------------

Event OnQuestShutdown ()

   bOpt_CursedLootquest_Activ = false 
   bOpt_CursedLoot_NotActiv   = !bOpt_CursedLootquest_Activ
   
endEvent

;---------------------------------------------------------------
; only for Display required
;---------------------------------------------------------------


Event OnQuestInit ()
 
   bOpt_CursedLootquest_Activ = true 
   bOpt_CursedLoot_NotActiv   = !bOpt_CursedLootquest_Activ

   
endEvent


